/*
  F1ATB
  GNU General Public License v3.0

*/

//Libraries
//TFT Display
#include <TFT_eSPI.h>  // Graphics and font library for ST7735 driver chip
#include <SPI.h>
#include "Free_Fonts.h"



#include "OneWire.h"
#include "DallasTemperature.h"
/*
  Données à adapter à votre configuration de réseau local
  -------------------------------------------------------
*/

// Capteur DS18B20
OneWire oneWire(13);
DallasTemperature ds(&oneWire);

//TFT
TFT_eSPI tft = TFT_eSPI();  // Invoke library, pins defined in User_Setup.h

// SETUP
//*******
void setup() {
  Serial.begin(115200);
  Serial.println("Booting");
  tft.init();
  tft.setRotation(1);
  tft.setTextColor(TFT_WHITE, TFT_NAVY);

  tft.setFreeFont(FS24);
  tft.fillScreen(TFT_NAVY);
  tft.drawString("F1ATB", 40, 50, 1);


  ds.begin();
}

// LOOP
//******
void loop() {
  ds.requestTemperatures();
  float t = ds.getTempCByIndex(0);

  Serial.print(t);
  Serial.println("C");
  tft.setFreeFont(FS24);
  tft.fillScreen(TFT_NAVY);
  tft.drawString(String(t) + " c", 50, 50, 1);

  delay(1000);
}
